> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account

> Get the account details for the authenticated user.



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json get /user/account
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /user/account:
    get:
      tags:
        - User
      summary: Get Account
      description: Get the account details for the authenticated user.
      operationId: User_getUserAccount
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Account'
        '401':
          description: Access is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: The server cannot find the requested resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
        '502':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserAccountBadGateway'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    Account:
      type: object
      required:
        - id
        - kycProfileId
        - safeOwnerAddress
        - safeAddress
        - chain
        - chainName
        - reference
        - nativeCurrency
        - additionalCurrencies
        - createdAt
        - updatedAt
        - closedAt
        - status
        - provisionedAt
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        kycProfileId:
          $ref: '#/components/schemas/uuid'
        safeOwnerAddress:
          type: string
        safeAddress:
          anyOf:
            - type: string
            - type: 'null'
        chain:
          $ref: '#/components/schemas/AccountChain'
        chainName:
          type: string
        reference:
          anyOf:
            - type: string
            - type: 'null'
        nativeCurrency:
          type: string
        additionalCurrencies:
          type: array
          items:
            type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        closedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        status:
          $ref: '#/components/schemas/AccountStatus'
        provisionedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
    Unauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    NotFound:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetUserAccountBadGateway:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    uuid:
      type: string
      format: uuid
    AccountChain:
      type: object
      required:
        - name
        - id
      properties:
        name:
          $ref: '#/components/schemas/AccountChainName'
        id:
          $ref: '#/components/schemas/AccountChainID'
    AccountStatus:
      type: string
      enum:
        - provisioning
        - active
        - blocked
        - closed
    AccountChainName:
      type: string
      enum:
        - celo
        - gnosis
    AccountChainID:
      type: string
      enum:
        - '42220'
        - '100'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````